Dependencies not working on toolshed?

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Dependencies not working on toolshed?

Lukasse, Pieter

Hi ,

 

I am trying to get a dependency to work in practice (when running a tool after the installation). But I keep getting the following message when running the tool:

 

 

  [sshexec] galaxy.tools.deps DEBUG 2014-10-24 16:04:15,514 Building dependency shell command for dependency 'R_bioc_metams'

  [sshexec] galaxy.tools.deps WARNING 2014-10-24 16:04:15,514 Failed to resolve dependency on 'R_bioc_metams', ignoring

 

 

This is the tool requirements section:

 

       <requirements>

              <requirement type="package" version="3.1.1">R_bioc_metams</requirement>

       </requirements>     

 

This is the repository_dependencies.xml :

 

<repositories description="Required metaMS dependencies.">

  <repository toolshed="http://testtoolshed.g2.bx.psu.edu"

  name="prims_metabolomics_dependencies" owner="pieterlukasse" changeset_revision="71356c62e5cd" />

</repositories>

 

This is the package name of the package that is being referred:

 

<tool_dependency>

 <package name="R_bioc_metams" version="3.1.1">

      <install version="1.0">

          <actions_group>

....

 

I can’t find the problem. Any ideas? I have updated to the latest Galaxy version (today) and removed both items (with option to remove files) and installed them again. Am I facing a bug here?

 

Thanks,

 

Pieter Lukasse

Wageningen UR, Plant Research International

Department of Bioinformatics (Bioscience)

Wageningen Campus, Building 107, Droevendaalsesteeg 1, 6708 PB,
Wageningen, the Netherlands

T: +31-317481122;
M: +31-628189540;
skype: pieter.lukasse.wur

http://www.pri.wur.nl

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Reply | Threaded
Open this post in threaded view
|

Re: Dependencies not working on toolshed?

John Chilton-4
On Fri, Oct 24, 2014 at 10:18 AM, Lukasse, Pieter <[hidden email]> wrote:

> Hi ,
>
>
>
> I am trying to get a dependency to work in practice (when running a tool
> after the installation). But I keep getting the following message when
> running the tool:
>
>
>
>
>
>   [sshexec] galaxy.tools.deps DEBUG 2014-10-24 16:04:15,514 Building
> dependency shell command for dependency 'R_bioc_metams'
>
>   [sshexec] galaxy.tools.deps WARNING 2014-10-24 16:04:15,514 Failed to
> resolve dependency on 'R_bioc_metams', ignoring
>
>
>
>
>
> This is the tool requirements section:
>
>
>
>        <requirements>
>
>               <requirement type="package"
> version="3.1.1">R_bioc_metams</requirement>
>
>        </requirements>
>
>
>
> This is the repository_dependencies.xml :
>
>
>
> <repositories description="Required metaMS dependencies.">
>
>   <repository toolshed="http://testtoolshed.g2.bx.psu.edu"
>
>   name="prims_metabolomics_dependencies" owner="pieterlukasse"
> changeset_revision="71356c62e5cd" />
>
> </repositories>
>

In my limited understanding repository_dependencies.xml is for stuff
like datatypes where the dependencies are implicit, but for something
like this you need to put a tool_dependencies.xml file in the
repository not a repository_dependencies.xml.

>
>
> This is the package name of the package that is being referred:
>
>
>
> <tool_dependency>
>
>  <package name="R_bioc_metams" version="3.1.1">
>
>       <install version="1.0">
>
>           <actions_group>
>
> ....
>
>
>
> I can’t find the problem. Any ideas? I have updated to the latest Galaxy
> version (today) and removed both items (with option to remove files) and
> installed them again. Am I facing a bug here?
>
>
>
> Thanks,
>
>
>
> Pieter Lukasse
>
> Wageningen UR, Plant Research International
>
> Department of Bioinformatics (Bioscience)
>
> Wageningen Campus, Building 107, Droevendaalsesteeg 1, 6708 PB,
> Wageningen, the Netherlands
>
> T: +31-317481122;
> M: +31-628189540;
> skype: pieter.lukasse.wur
>
> http://www.pri.wur.nl
>
>
>
>
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>   http://lists.bx.psu.edu/
>
> To search Galaxy mailing lists use the unified search at:
>   http://galaxyproject.org/search/mailinglists/

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Reply | Threaded
Open this post in threaded view
|

Re: Dependencies not working on toolshed?

Björn Grüning-3
In reply to this post by Lukasse, Pieter
Pieter,

please try to add your dependencies to a tool_dependencies.xml file not
the repository_dependencies.xml file.

repository_dependencies.xml is for datatypes and for workflow
dependencies, such things that need to be there, but that are not
referenced from the tool.

Hope this helps,
Bjoern

Am 24.10.2014 um 16:18 schrieb Lukasse, Pieter:

> Hi ,
>
> I am trying to get a dependency to work in practice (when running a tool after the installation). But I keep getting the following message when running the tool:
>
>
>   [sshexec] galaxy.tools.deps DEBUG 2014-10-24 16:04:15,514 Building dependency shell command for dependency 'R_bioc_metams'
>   [sshexec] galaxy.tools.deps WARNING 2014-10-24 16:04:15,514 Failed to resolve dependency on 'R_bioc_metams', ignoring
>
>
> This is the tool requirements section:
>
>        <requirements>
>               <requirement type="package" version="3.1.1">R_bioc_metams</requirement>
>        </requirements>
>
> This is the repository_dependencies.xml :
>
> <repositories description="Required metaMS dependencies.">
>   <repository toolshed="http://testtoolshed.g2.bx.psu.edu"
>   name="prims_metabolomics_dependencies" owner="pieterlukasse" changeset_revision="71356c62e5cd" />
> </repositories>
>
> This is the package name of the package that is being referred:
>
> <tool_dependency>
>  <package name="R_bioc_metams" version="3.1.1">
>       <install version="1.0">
>           <actions_group>
> ....
>
> I can't find the problem. Any ideas? I have updated to the latest Galaxy version (today) and removed both items (with option to remove files) and installed them again. Am I facing a bug here?
>
> Thanks,
>
> Pieter Lukasse
> Wageningen UR, Plant Research International
> Department of Bioinformatics (Bioscience)
> Wageningen Campus, Building 107, Droevendaalsesteeg 1, 6708 PB,
> Wageningen, the Netherlands
> T: +31-317481122;
> M: +31-628189540;
> skype: pieter.lukasse.wur
> http://www.pri.wur.nl<http://www.pri.wur.nl/>
>
>
>
>
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>   http://lists.bx.psu.edu/
>
> To search Galaxy mailing lists use the unified search at:
>   http://galaxyproject.org/search/mailinglists/
>
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Reply | Threaded
Open this post in threaded view
|

Re: Dependencies not working on toolshed?

Lukasse, Pieter
Hi Bjoern, John,

thanks, this worked!

So: I have to add a repository dependency to my tool_dependencies.xml file and NOT to my repository_dependencies.xml....I must say it is somewhat confusing. Somehow I had this idea that tool_dependencies.xml was for external tools.... But I'm happy it finally works!

Thanks again,

Pieter.

-----Original Message-----
From: Björn Grüning [mailto:[hidden email]]
Sent: vrijdag 24 oktober 2014 16:23
To: Lukasse, Pieter; [hidden email]
Subject: Re: [galaxy-dev] Dependencies not working on toolshed?

Pieter,

please try to add your dependencies to a tool_dependencies.xml file not the repository_dependencies.xml file.

repository_dependencies.xml is for datatypes and for workflow dependencies, such things that need to be there, but that are not referenced from the tool.

Hope this helps,
Bjoern

Am 24.10.2014 um 16:18 schrieb Lukasse, Pieter:

> Hi ,
>
> I am trying to get a dependency to work in practice (when running a tool after the installation). But I keep getting the following message when running the tool:
>
>
>   [sshexec] galaxy.tools.deps DEBUG 2014-10-24 16:04:15,514 Building dependency shell command for dependency 'R_bioc_metams'
>   [sshexec] galaxy.tools.deps WARNING 2014-10-24 16:04:15,514 Failed
> to resolve dependency on 'R_bioc_metams', ignoring
>
>
> This is the tool requirements section:
>
>        <requirements>
>               <requirement type="package" version="3.1.1">R_bioc_metams</requirement>
>        </requirements>
>
> This is the repository_dependencies.xml :
>
> <repositories description="Required metaMS dependencies.">
>   <repository toolshed="http://testtoolshed.g2.bx.psu.edu"
>   name="prims_metabolomics_dependencies" owner="pieterlukasse"
> changeset_revision="71356c62e5cd" /> </repositories>
>
> This is the package name of the package that is being referred:
>
> <tool_dependency>
>  <package name="R_bioc_metams" version="3.1.1">
>       <install version="1.0">
>           <actions_group>
> ....
>
> I can't find the problem. Any ideas? I have updated to the latest Galaxy version (today) and removed both items (with option to remove files) and installed them again. Am I facing a bug here?
>
> Thanks,
>
> Pieter Lukasse
> Wageningen UR, Plant Research International Department of
> Bioinformatics (Bioscience) Wageningen Campus, Building 107,
> Droevendaalsesteeg 1, 6708 PB, Wageningen, the Netherlands
> T: +31-317481122;
> M: +31-628189540;
> skype: pieter.lukasse.wur
> http://www.pri.wur.nl<http://www.pri.wur.nl/>
>
>
>
>
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this and other
> Galaxy lists, please use the interface at:
>   http://lists.bx.psu.edu/
>
> To search Galaxy mailing lists use the unified search at:
>   http://galaxyproject.org/search/mailinglists/
>

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Reply | Threaded
Open this post in threaded view
|

Re: Dependencies not working on toolshed?

Björn Grüning-3
Hi Pieter,

think more about it from the actual name. tool_dependencies.xml for your
tools (wrappers) and repository_dependencies.xml for your repository.
Thinks that are only indirectly or not at all needed by your wrapper.

Glad it's now working for you!
Bjoern

Am 24.10.2014 um 23:17 schrieb Lukasse, Pieter:

> Hi Bjoern, John,
>
> thanks, this worked!
>
> So: I have to add a repository dependency to my tool_dependencies.xml file and NOT to my repository_dependencies.xml....I must say it is somewhat confusing. Somehow I had this idea that tool_dependencies.xml was for external tools.... But I'm happy it finally works!
>
> Thanks again,
>
> Pieter.
>
> -----Original Message-----
> From: Björn Grüning [mailto:[hidden email]]
> Sent: vrijdag 24 oktober 2014 16:23
> To: Lukasse, Pieter; [hidden email]
> Subject: Re: [galaxy-dev] Dependencies not working on toolshed?
>
> Pieter,
>
> please try to add your dependencies to a tool_dependencies.xml file not the repository_dependencies.xml file.
>
> repository_dependencies.xml is for datatypes and for workflow dependencies, such things that need to be there, but that are not referenced from the tool.
>
> Hope this helps,
> Bjoern
>
> Am 24.10.2014 um 16:18 schrieb Lukasse, Pieter:
>> Hi ,
>>
>> I am trying to get a dependency to work in practice (when running a tool after the installation). But I keep getting the following message when running the tool:
>>
>>
>>   [sshexec] galaxy.tools.deps DEBUG 2014-10-24 16:04:15,514 Building dependency shell command for dependency 'R_bioc_metams'
>>   [sshexec] galaxy.tools.deps WARNING 2014-10-24 16:04:15,514 Failed
>> to resolve dependency on 'R_bioc_metams', ignoring
>>
>>
>> This is the tool requirements section:
>>
>>        <requirements>
>>               <requirement type="package" version="3.1.1">R_bioc_metams</requirement>
>>        </requirements>
>>
>> This is the repository_dependencies.xml :
>>
>> <repositories description="Required metaMS dependencies.">
>>   <repository toolshed="http://testtoolshed.g2.bx.psu.edu"
>>   name="prims_metabolomics_dependencies" owner="pieterlukasse"
>> changeset_revision="71356c62e5cd" /> </repositories>
>>
>> This is the package name of the package that is being referred:
>>
>> <tool_dependency>
>>  <package name="R_bioc_metams" version="3.1.1">
>>       <install version="1.0">
>>           <actions_group>
>> ....
>>
>> I can't find the problem. Any ideas? I have updated to the latest Galaxy version (today) and removed both items (with option to remove files) and installed them again. Am I facing a bug here?
>>
>> Thanks,
>>
>> Pieter Lukasse
>> Wageningen UR, Plant Research International Department of
>> Bioinformatics (Bioscience) Wageningen Campus, Building 107,
>> Droevendaalsesteeg 1, 6708 PB, Wageningen, the Netherlands
>> T: +31-317481122;
>> M: +31-628189540;
>> skype: pieter.lukasse.wur
>> http://www.pri.wur.nl<http://www.pri.wur.nl/>
>>
>>
>>
>>
>> ___________________________________________________________
>> Please keep all replies on the list by using "reply all"
>> in your mail client.  To manage your subscriptions to this and other
>> Galaxy lists, please use the interface at:
>>   http://lists.bx.psu.edu/
>>
>> To search Galaxy mailing lists use the unified search at:
>>   http://galaxyproject.org/search/mailinglists/
>>
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/
Reply | Threaded
Open this post in threaded view
|

Re: Dependencies not working on toolshed?

Peter Cock
In reply to this post by Lukasse, Pieter
On Fri, Oct 24, 2014 at 10:17 PM, Lukasse, Pieter <[hidden email]> wrote:

> Hi Bjoern, John,
>
> thanks, this worked!
>
> So: I have to add a repository dependency to my tool_dependencies.xml
> file and NOT to my repository_dependencies.xml....I must say it is somewhat
> confusing. Somehow I had this idea that tool_dependencies.xml was for
> external tools.... But I'm happy it finally works!
>
> Thanks again,
>
> Pieter.

You are not alone - I have regularly messed this up, but at least once
you know of this pitfall it will be easier to spot the problem in future.
It is one of the first things I check if I have a dependency problem
shown up via the ToolShed tests.

Regards,

Peter
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/